Skip to main content
POST
/
v1
/
workspaces
/
{workspaceId}
/
locations
Create Location
curl --request POST \
  --url https://api.selcor.ai/v1/workspaces/{workspaceId}/locations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Downtown Office",
  "timezone": "America/New_York",
  "phone_number": "<string>",
  "address": "<string>",
  "website_url": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "workspace_id": "<string>",
    "name": "<string>",
    "timezone": "<string>",
    "phone_number": "<string>",
    "address": "<string>",
    "website_url": "<string>",
    "activated": true,
    "booking_enabled": true,
    "provider_selection_mode": "<string>",
    "agent_setup_status": "<string>",
    "voice_agent_id": "<string>",
    "created_at": "<string>",
    "updated_at": "<string>"
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Body

application/json
name
string
required
Required string length: 1 - 200
Example:

"Downtown Office"

timezone
string
default:America/New_York
Example:

"America/New_York"

phone_number
string
address
string
website_url
string<uri>

Response

201 - application/json

Location created

data
object
required
request_id
string
required